<?php


	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0)

{

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><div class="ch"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
	$PAGINGS = mysql_query("SELECT * FROM `autopilot` ORDER BY `id` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{	
		$q = mysql_query("SELECT * FROM `army` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['aid'])))))))."'");
		$f = mysql_fetch_array($q);
		if($f['time']<=$realtime){
		echo '<div class="c">Отряд '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name']))))))).' [x:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['x']))))))).' y:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['y']))))))).']
		<br/>Точка назначения: x:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']))))))).' y:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']))))))).' ['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['autoloc']))))))).' переходов]
		</div>';
		if($f['x']>$row['x'])$otrx=$f['x']-1;
		if($f['x']<$row['x'])$otrx=$f['x']+1;
		if($f['x']==$row['x'])$otrx=$f['x'];
		if($f['x']!=$row['x'])$otry=$f['y'];
		if($f['x']==$row['x'] AND $f['y']>$row['y'])$otry=$f['y']-1;
		if($f['x']==$row['x'] AND $f['y']<$row['y'])$otry=$f['y']+1;
		
		if(($f['autoloc']-1)==0){
		mysql_query("UPDATE `army` SET `x`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($otrx)))))))."', `y`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($otry)))))))."', `autopilot`=0, `autoloc`=autoloc-1, `time`=$realtime+180 WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['aid'])))))))."';");
		mysql_query("UPDATE `sector_loc` SET `x`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($otrx)))))))."', `y`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($otry)))))))."' WHERE `aid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['aid'])))))))."';");
		mysql_query("DELETE FROM `autopilot` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id'])))))))."';");
		}else{
		mysql_query("UPDATE `army` SET `x`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($otrx)))))))."', `y`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($otry)))))))."', `autoloc`=autoloc-1, `time`=$realtime+180 WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['aid'].)))))))"';");
		mysql_query("UPDATE `sector_loc` SET `x`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($otrx)))))))."', `y`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($otry)))))))."' WHERE `aid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['aid'])))))))."';");

		
		}
		
		
		
		
		}
	}
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer.php';
?>